# Test Environments

A Test Environment is a dedicated sandbox tenant designed for development, integration, and user acceptance testing of your system configurations and business processes.

 - [GET /test-environments](https://developer.zuora.com/v1-api-reference/api/test-environments/getalltestenvironments.md): Use this operation to retrieves a list of all Test Environments. It returns an ArrayResponse containing TestEnvironmentResponse objects, representing the available Test Environments in the system. ###
 - [GET /test-environments/{id}](https://developer.zuora.com/v1-api-reference/api/test-environments/gettestenvironment.md): Use this operation to retrieves a specific Test Environment by its unique identifier. It returns a TestEnvironmentResponse object if the environment is found. If the specified Test Environment does no
